Bug 507408 - [UXA] [965] GPU hang, Intel 965 [NEEDINFO]
[UXA] [965] GPU hang, Intel 965
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 12:49 EDT by Hezekiah M. Carty
Modified: 2010-06-28 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (hez)


Attachments (Terms of Use)
/var/log/dmesg (67.55 KB, text/plain)
2009-06-26 11:04 EDT, Matěj Cepl
no flags Details
GPU dump June 11 (1.58 MB, text/plain)
2009-06-26 11:06 EDT, Matěj Cepl
no flags Details
/etc/X11/xorg.conf (1.01 KB, text/plain)
2009-06-26 11:10 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (122.53 KB, text/plain)
2009-06-26 11:53 EDT, Matěj Cepl
no flags Details
GPU dump June 12 (1.32 MB, text/plain)
2009-06-26 11:55 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 22241 None None None Never

  None (edit)
Description Hezekiah M. Carty 2009-06-22 12:49:07 EDT
Description of problem:
After using my system for a short period of time (Lenovo Thinkpad R61, Core2Duo, Intel GM965, Fedora 11 64bit), I consistently get hard GPU lockups.  I can move the mouse cursor, but that is all the direct interaction I am capable of with the system.  If SSH is enabled then I can SSH in remotely to shut down the system.

The only changes I have made to my configuration post-F11-install are applying all available Fedora 11 updates and enabling Compiz effects.

Version-Release number of selected component (if applicable):
intel-gpu-tools-2.7.0-7.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
kernel-2.6.29.4-167.fc11.x86_64

How reproducible:
Every time, though the time until a GPU hang varies (30 minutes to several hours).

Steps to Reproduce:
1. Start Fedora 11
2. Use it for a while
3. Have it hang
  
Actual results:
GPU hang

Expected results:
Everything keeps running smoothly

Additional info:
I have attached dmesg output and intel_gpu_dump output to a freedesktop.org bug.  The attachments can be found here:

dmesg:
https://bugs.freedesktop.org/attachment.cgi?id=26728

GPU dump:
https://bugs.freedesktop.org/attachment.cgi?id=26727

The bug report itself is: https://bugs.freedesktop.org/show_bug.cgi?id=22241
Comment 1 Matěj Cepl 2009-06-25 10:26:26 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also tricks from https://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_Intel_graphics_adapters whether some of them will help you?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jørgen Andreas Michaelsen 2009-06-26 09:02:46 EDT
This bug is discussed here: http://bugs.archlinux.org/task/14594 with pointers to relevant upstream patches. It is very inconvenient to have the system freeze at random intervals, in my case about once a week. It has been this way for a while now, since sometime in Fedora 10. Different AccelMethods does not help (even EXA). Any hope of getting these patches into Fedora 11 in the near future?
Comment 3 Matěj Cepl 2009-06-26 11:04:48 EDT
Created attachment 349558 [details]
/var/log/dmesg
Comment 4 Matěj Cepl 2009-06-26 11:06:28 EDT
Created attachment 349559 [details]
GPU dump June 11
Comment 5 Matěj Cepl 2009-06-26 11:10:24 EDT
Created attachment 349561 [details]
/etc/X11/xorg.conf
Comment 6 Matěj Cepl 2009-06-26 11:53:51 EDT
Created attachment 349566 [details]
/var/log/Xorg.0.log
Comment 7 Matěj Cepl 2009-06-26 11:55:48 EDT
Created attachment 349568 [details]
GPU dump June 12
Comment 8 Hezekiah M. Carty 2009-06-29 09:59:32 EDT
Is there anything else I can provide for this bug?  As in comment #2, I have had this issue since some Fedora 10.  Is there a test package (or set of packages) or some other workaround available for this issue?

The dmesg output and GPU dump are linked in my first comment.  There was no xorg.conf.  I unfortunately do not have the Xorg.0.log anymore.
Comment 10 Matěj Cepl 2009-11-05 13:32:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Bug Zapper 2010-04-27 11:09:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:13:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.